Bug 27624 - Remove ru-RU installer data
Summary: Remove ru-RU installer data
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL: https://gitlab.com/joubu/Koha/-/tree/...
Keywords:
Depends on: 24973 24871
Blocks: 27829
  Show dependency treegraph
 
Reported: 2021-02-04 08:59 UTC by Jonathan Druart
Modified: 2021-05-12 15:08 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-02-04 08:59:11 UTC
Now we can translate all installer data, then the ru-RU directory is no longer needed.
Comment 1 Jonathan Druart 2021-03-02 10:57:14 UTC
https://gitlab.com/joubu/Koha/-/tree/bug_27624
Comment 2 Martin Renvoize 2021-03-04 10:17:21 UTC
As with the other bugs of this type. The patch is clear and works as expected.

I don't see any localization but I'm not an expert in this locale.. Signing off.. I think the localization can be done as a second step by the right knowledgable person later.

Signed off (Please add my SO line to the branch Jonathan)
Comment 3 Katrin Fischer 2021-03-07 14:05:08 UTC
Testing this, I've looked for specifics that we would lose by simply deleting the ru-RU installer.

I suggest that we save some of those by creating a custom.sql file.

From the things listed below, I suggest saving:
- UAH and RUB currencies
- corect setting of the active currency (otherwise you end with USD)
- System preference settings
- Additional Z39.50 sources for UNIMARC
- Additional classifications

We'll still lose specific hidden settings in the frameworks, authorised value category rusmarc856 linked to 856 indicators in the frameworks. I think if these are seen as a requirement, adding them to the default later for all languages could be better.

-------------


--- a/installer/data/mysql/ru-RU/authorised_values/authorised_values_[rusmarc856].sql
+++ /dev/null
@@ -1,2 +0,0 @@
-INSERT INTO `authorised_values` (`id`, `category`, `authorised_value`, `lib`, `imageurl`) VALUES (LAST_INSERT_ID( ) + 0,'rusmarc856','1#','FTP','NULL');
-INSERT INTO `authorised_values` (`id`, `category`, `authorised_value`, `lib`, `imageurl`) VALUES (LAST_INSERT_ID( ) + 1,'rusmarc856','0#','Электронная почта','NULL');

--- classification schemes or sources
-INSERT INTO `class_sources` (`cn_source`, `description`, `used`, `class_sort_rule`, `class_split_rule`) VALUES
-                            ('ddc',     'Десятичная классификация Дьюи (ДКД)', 1, 'dewey', 'dewey'),
-                            ('lcc',     'Классификация Библиотеки Конгресса (КБК)', 1, 'lcc', 'lcc'),
-                            ('udc',     'Универсальная десятичная классификация', 0, 'generic', 'generic'),
-                            ('sudocs',  'Классификация SuDoc (U.S. GPO)', 0, 'generic', 'generic'),
-                            ('anscr',   'ANSCR (звукозаписи)', 0, 'generic', 'generic'),
-                            ('rubbk',   'Таблицы ББК для научных библиотек в 30-ти томах', 0, 'generic', 'generic'),
-                            ('rugasnti','Рубрикатор ГАСНТИ', 0, 'generic', 'generic'),
-                            ('rubbkd',  'Таблицы ББК для детских библиотек в 1 т.', 0, 'generic', 'generic'),
-                            ('rubbkm',  'Таблицы ББК для массовых библиотек в 1 т.', 0, 'generic', 'generic'),
-                            ('rubbko',  'Таблицы ББК для областных библиотек в 4-х томах', 0, 'generic', 'generic'),
-                            ('rubbknp', 'Переиздания таблиц ББК для научных библиотек в 30-ти томах', 0, 'generic', 'generic'),
-                            ('rubbkn',  'Таблицы ББК для научных библиотек в 5-ти томах', 0, 'generic', 'generic'),
-                            ('rubbkmv', 'Таблицы ББК для массовых военных библиотек', 0, 'generic', 'generic'),
-                            ('rubbkk',  'Таблицы ББК для краеведческих каталогов библиотек', 0, 'generic', 'generic'),
-                            ('z',       'Другие/типовые схемы классификации', 0, 'generic', 'generic');

---
--- System preferences that differ from the global defaults
-
-UPDATE systempreferences SET value = 'incremental' WHERE variable = 'autoBarcode';
-UPDATE systempreferences SET value = 'surname|cardnumber' WHERE variable = 'BorrowerMandatoryField';
-UPDATE systempreferences SET value = 'Господин|Госпожа|Мистер|Миссис|Уважаемый|Уважаемая|Товарищ|Добродий|Добродийка' WHERE variable = 'BorrowersTitles';
-UPDATE systempreferences SET value = 'metric' WHERE variable = 'dateformat';
-UPDATE systempreferences SET value = 'udc' WHERE variable = 'DefaultClassificationSource';
-UPDATE systempreferences SET value = '1' WHERE variable = 'ExtendedPatronAttributes';
-UPDATE systempreferences SET value = '0.20' WHERE variable = 'TaxRates';
-UPDATE systempreferences SET value = '942hv' WHERE variable = 'itemcallnumber';
-UPDATE systempreferences SET value = 'ru-RU,uk-UA,en,fr-FR,de-DE' WHERE variable = 'language';
-UPDATE systempreferences SET value = 'ru-RU,uk-UA,en,fr-FR,de-DE' WHERE variable = 'OPACLanguages';
-UPDATE systempreferences SET value = 'Добро пожаловать в АБИС Koha...\r\n<hr>' WHERE variable = 'OpacMainUserBlock';
-UPDATE systempreferences SET value = 'Здесь будут важные ссылки.' WHERE variable = 'OpacNav';
-UPDATE systempreferences SET value = '1' WHERE variable = 'patronimages';
-
-UPDATE systempreferences SET value = '#200|<h2>Заглавие: |{200a}{. 200c}{ : 200e}{200d}{. 200h}{. 200i}|</h2>\r\n#500|<label class="ipt">Унифицированое заглавие: </label>|{500a}{. 500i}{. 500h}{. 500m}{. 500q}{. 500k}<br/>|\r\n#517|<label class="ipt"> </label>|{517a}{ : 517e}{. 517h}{, 517i}<br/>|\r\n#541|<label class="ipt"> </label>|{541a}{ : 541e}<br/>|\r\n#200||<label class="ipt">Автора: </label><br/>|\r\n#700||<a href="opac-search.pl?op=do_search&marclist=7009&operator==&type=intranet&value={7009}"> <img border="0" src="/opac-tmpl/css/en/images/filefind.png" height="15" title="Поиск по автору"></a>{700c}{ 700b}{ 700a}{ 700d}{ (700f)}{. 7004}<br/>|\r\n#701||<a href="opac-search.pl?op=do_search&marclist=7009&operator==&type=intranet&value={7019}"> <img border="0" src="/opac-tmpl/css/en/images/filefind.png" height="15" title="Поиск по автору"></a>{701c}{ 701b}{ 701a}{ 701d}{ (701f)}{. 7014}<br/>|\r\n#702||<a href="opac-search.pl?op=do_search&marclist=7009&operator==&type=intranet&value={7029}"> <img border="0" src="/opac-tmpl/css/en/images/filefind.png" height="15" title="Поиск по автору"></a>{702c}{ 702b}{ 702a}{ 702d}{ (702f)}{. 7024}<br/>|\r\n#710||<a href="opac-search.pl?op=do_search&marclist=7109&operator==&type=intranet&value={7109}"> <img border="0" src="/opac-tmpl/css/en/images/filefind.png" height="15" title="Поиск по автору"></a>{710a}{ (710c)}{. 710b}{ : 710d}{ ; 710f}{ ; 710e}<br/>|\r\n#711||<a href="opac-search.pl?op=do_search&marclist=7109&operator==&type=intranet&value={7119}"> <img border="0" src="/opac-tmpl/css/en/images/filefind.png" height="15" title="Поиск по автору"></a>{711a}{ (711c)}{. 711b}{ : 711d}{ ; 711f}{ ; 711e}<br/>|\r\n#712||<a href="opac-search.pl?op=do_search&marclist=7109&operator==&type=intranet&value={7129}"> <img border="0" src="/opac-tmpl/css/en/images/filefind.png" height="15" title="Поиск по автору"></a>{712a}{ (712c)}{. 712b}{ : 712d}{ ; 712f}{ ; 712e}<br/>|\r\n#210|<label class="ipt">Унифицированная форма заглавия: </label>|{ 210a}<br/>|\r\n#210|<label class="ipt">Издатель: </label>|{ 210c}<br/>|\r\n#210|<label class="ipt">Дата публикации: </label>|{ 210d}<br/>|\r\n#215|<label class="ipt">Физическое описание: </label>|{215a}{ : 215c}{ ; 215d}{ + 215e}|<br/>\r\n#225|<label class="ipt">Серія:</label>|<a href="opac-search.pl?op=do_search&marclist=225a&operator==&type=intranet&value={225a}"> <img border="0" src="/opac-tmpl/css/en/images/filefind.png" height="15" title="Поиск по {225a}"></a>{ (225a}{ = 225d}{ : 225e}{. 225h}{. 225i}{ / 225f}{, 225x}{ ; 225v}|)<br/>\r\n#200||<label class="ipt">Тематические рубрики: </label><br/>|\r\n#600||<a href="opac-search.pl?op=do_search&marclist=6009&operator==&type=intranet&value={6009}"><img border="0" src="/opac-tmpl/css/en/images/filefind.png" height="15" title="Поиск по {6009}"></a>{ 600c}{ 600b}{ 600a}{ 600d}{ (600f)} {-- 600x }{-- 600z }{-- 600y}<br />|\r\n#604||<a href="opac-search.pl?op=do_search&marclist=6049&operator==&type=intranet&value={6049}"><img border="0" src="/opac-tmpl/css/en/images/filefind.png" height="15" title="Поиск по {6049}"></a>{ 604a}{. 604t}<br />|\r\n#601||<a href="opac-search.pl?op=do_search&marclist=6019&operator==&type=intranet&value={6019}"><img border="0" src="/opac-tmpl/css/en/images/filefind.png" height="15" title="Поиск по {6019}"></a>{ 601a}{ (601c)}{. 601b}{ : 601d} { ; 601f}{ ; 601e}{ -- 601x }{-- 601z }{-- 601y}<br />|\r\n#605||<a href="opac-search.pl?op=do_search&marclist=6059&operator==&type=intranet&value={6059}"><img border="0" src="/opac-tmpl/css/en/images/filefind.png" height="15" title="Поиск по {6059}"></a>{ 605a}{. 605i}{. 605h}{. 605k}{. 605m}{. 605q} {-- 605x }{-- 605z }{-- 605y }{-- 605l}<br />|\r\n#606||<a href="opac-search.pl?op=do_search&marclist=6069&operator==&type=intranet&value={6069}"><img border="0" src="/opac-tmpl/css/en/images/filefind.png" height="15" title="Поиск по {6069}">xx</a>{ 606a}{-- 606x }{-- 606z }{606y }<br />|\r\n#607||<a href="opac-search.pl?op=do_search&marclist=6079&operator==&type=intranet&value={6079}"><img border="0" src="/opac-tmpl/css/en/images/filefind.png" height="15" title="Поиск по {6079}"></a>{ 607a}{-- 607x}{-- 607z}{-- 607y}<br />|\r\n#010|<label class="ipt">ISBN: </label>|{010a}|<br/>\r\n#011|<label class="ipt">ISSN: </label>|{011a}|<br/>\r\n#200||<label class="ipt">Заметки: </label>|<br/>\r\n#300||{300a}|<br/>\r\n#320||{320a}|<br/>\r\n#327||{327a}|<br/>\r\n#328||{328a}|<br/>\r\n#200||<br/><h2>Экземпляры</h2>|\r\n#200|<table>|<th>Расположение</th><th>Cote</th>|\r\n#995||<tr><td>{995e}&nbsp;&nbsp;</td><td> {995k}</td></tr>|\r\n#200|||</table>' WHERE variable = 'ISBD';

-INSERT INTO `z3950servers`
-(`host`, `port`, `db`, `userid`, `password`, `servername`, `id`, `checked`, `rank`, `syntax`, `servertype`, `encoding`) VALUES
-('z3950.bnf.fr', 2211, 'TOUT-UTF8', 'Z3950', 'Z3950_BNF', 'BNF2', 2, 1, 1, 'UNIMARC', 'zed', 'utf8'),
-('62.76.8.149', 210, 'books', '', '', 'НАУЧНАЯ БИБЛИОТЕКА БАШКИРСКОГО ГОСУДАРСТВЕННОГО УНИВЕРСИТЕТА', 3, 1, 1, 'UNIMARC', 'zed', 'utf8'),
-('81.30.205.34', 210, 'books', '', '', 'НАЦИОНАЛЬНАЯ БИБЛИОТЕКА ИМ. АХМЕТ-ЗАКИ ВАЛИДИ (БД BOOKS)', 4, 1, 1, 'UNIMARC', 'zed', 'utf8'),
-('libor.pstu.ru', 210, 'books', '', '', 'ПЕРМСКИЙ ГОСУДАРСТВЕННЫЙ ТЕХНИЧЕСКИЙ УНИВЕРСИТЕТ (БД BOOKS)', 5, 1, 1, 'UNIMARC', 'zed', 'utf8'),
-('212.3.135.157', 210, 'books', '', '', 'СМОЛЕНСКАЯ ОБЛАСТНАЯ УНИВЕРСАЛЬНАЯ БИБЛИОТЕКА (БД BOOKS)', 6, 1, 1, 'UNIMARC', 'zed', 'utf8'),
-('212.3.135.157', 210, 'books_r', '', '', 'СМОЛЕНСКАЯ ОБЛАСТНАЯ УНИВЕРСАЛЬНАЯ БИБЛИОТЕКА (БД BOOKS_R)', 63, 1, 1, 'UNIMARC', 'zed', 'utf8'),
-('212.3.135.157', 210, 'soub', '', '', 'СМОЛЕНСКАЯ ОБЛАСТНАЯ УНИВЕРСАЛЬНАЯ БИБЛИОТЕКА (БД SOUB)', 7, 1, 1, 'UNIMARC', 'zed', 'utf8');


-INSERT INTO `currency` (`currency`, `symbol`, `timestamp`, `rate`, active) VALUES ('CAD','$','2009-01-23 08:15:20',6.157690, 0);
-
-INSERT INTO `currency` (`currency`, `symbol`, `timestamp`, `rate`, active) VALUES ('EUR','€','2009-01-23 08:15:20',9.852920, 0);
-
-INSERT INTO `currency` (`currency`, `symbol`, `timestamp`, `rate`, active) VALUES ('GPB','£','2009-01-23 08:15:20',11.317390, 0);
-
-INSERT INTO `currency` (`currency`, `symbol`, `timestamp`, `rate`, active) VALUES ('UAH','грн.','2009-01-28 00:00:00',1.0, 0);
-
-INSERT INTO `currency` (`currency`, `symbol`, `timestamp`, `rate`, active) VALUES ('RUB','руб.','2009-01-28 00:00:00',21.166, 1);
-
-INSERT INTO `currency` (`currency`, `symbol`, `timestamp`, `rate`, active) VALUES ('USD','$','2009-01-23 08:15:20',7.7, 0);
Comment 4 Katrin Fischer 2021-03-07 15:35:02 UTC
Missing change to xt/sample_notices.t
Comment 5 Jonathan Druart 2021-03-08 10:46:20 UTC
Added Martin's signed-off-by lines and 2 commits.

However I didn't pick everything, some data are outdated:
* rusmarc856 is not a AV category (so the insert is failing for a while now)
* the rates in the currency table have never been adjusted and either must be updated every release or not at all.
* syspref removed

Other sysprefs were too specific and related to individual preferences.
Comment 6 Jonathan Druart 2021-04-28 10:10:34 UTC
Joonas, Katrin, can I get a QA stamp please?
Comment 7 Katrin Fischer 2021-05-09 15:18:20 UTC
Same issue here I had on the pl-PL patch :(

YAML::XS::Load Error: The problem:

    control characters are not allowed

was found at document: 0
 at /usr/lib/x86_64-linux-gnu/perl5/5.24/YAML/XS.pm line 51

    in YAML::XS::LoadFile at /usr/lib/x86_64-linux-gnu/perl5/5.24/YAML/XS.pm line 51
Comment 8 Jonathan Druart 2021-05-10 08:04:13 UTC
Remote branch rebased against master.
Comment 9 Jonathan Druart 2021-05-10 14:18:13 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Jonathan Druart 2021-05-10 14:23:16 UTC
All good for me, I've retested the whole thing along with the other bugs and cannot find any problems.

Well, there is one for ru-RU, the translations are missing apparently, I will ask Bernardo to retrieve them.
Comment 11 Fridolin Somers 2021-05-12 15:08:33 UTC
Not pushed to 20.11.x